{ config, ... }: {
  networking.wireguard = {
    enable = true;
    interfaces = {
      wg0 = {
        ips = [ config.hostcfg.net.wg.ip4 config.hostcfg.net.wg.ip6 ];
        privateKeyFile = config.hostcfg.net.wg.pk;
        listenPort = 1515;
        peers = [{
          allowedIPs = [ "10.10.1.0/24" "fd10:10:10::0/64" ];
          endpoint = "vpn.helcel.net:1515";
          publicKey = "NFBJvYXZC+bd62jhrKnM7/pugidWhgR6+C5qIiUiq3Q=";
          persistentKeepalive = 30;
        }];
      };
    };
  };
}
