{ lib, config, ... }:
with lib; {
  options.hostcfg = {
    hostname = mkOption { type = types.str; };
    username = mkOption { type = types.str; };
    make = {
      cli = mkOption { type = types.bool; };
      gui = mkOption { type = types.bool; };
      virt = mkOption { type = types.bool; };
      power = mkOption { type = types.bool; };
    };
    net = {
      wlp = {
        enable = mkOption { type = types.bool; };
        nif = mkOption { type = types.str; };
      };
      wg = {
        enable = mkOption { type = types.bool; };
        ip4 = mkOption { type = types.str; };
        ip6 = mkOption { type = types.str; };
        pk = mkOption { type = types.str; };
      };
    };
  };
}
